Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1481628 - Review Request: Qt-SESAM - Super Easy & Secure Authentication Management
Summary: Review Request: Qt-SESAM - Super Easy & Secure Authentication Management
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW qt-reviews
TreeView+ depends on / blocked
 
Reported: 2017-08-15 08:57 UTC by Raphael Groner
Modified: 2019-01-15 16:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-15 16:30:56 UTC
zebob.m: fedora-review?


Attachments (Terms of Use)

Description Raphael Groner 2017-08-15 08:57:42 UTC
Spec URL: http://raphgro.fedorapeople.org//Qt-SESAM.spec
SRPM URL: http://raphgro.fedorapeople.org//Qt-SESAM-2.0.6-2.fc26.src.rpm

Description:
Super Easy & Secure Authentication Management

This program uses the Crypto++ library.

Comment 1 Raphael Groner 2017-08-15 09:00:28 UTC
Task info: https://koji.fedoraproject.org/koji/taskinfo?taskID=21238939

Comment 2 Kevin Kofler 2017-08-15 10:00:42 UTC
As a comment already admits, this really needs a better %description, maybe even a better Summary. The GitHub page has this as its summary:
> c't SESAM Password Manager (Qt version)
which is already more informative.

Authentication Management is somewhat misleading, it sounds like a program that can automatically authenticate to things like Kerberos, whereas (sadly) this is just yet another password manager / wallet type program. Having "password manager" in Summary and/or %description would make it much clearer what this program really is.

Comment 3 Raphael Groner 2017-08-16 08:19:32 UTC
(In reply to Raphael Groner from comment #1)
> Task info: https://koji.fedoraproject.org/koji/taskinfo?taskID=21238939

Damn s390x fails.

Comment 4 Robert-André Mauchin 2017-08-25 16:21:44 UTC
Hello,


 - make %{?_smp_mflags} → %make_build

 - Maybe you should add an ExclusiveArch without s390x for now and report the test failures upstream. Looking at the error, it doesn't seem to be fixable easily.

 - Make a longer more explicit description: what does this program do exactly.

 - Qt-SESAM.src:28: W: unversioned-explicit-provides bundled(cryptopp)

You should indicate the version of the bundled cryptopp.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v3 or later)", "Unknown or generated", "*No copyright*
     Public domain", "BSL", "*No copyright* BSD (unspecified)", "GPL (v2 or
     later) (with incorrect FSF address)". 312 files have unknown license.
     Detailed output of licensecheck in /home/bob/packaging/review/Qt-SESAM
     /review-Qt-SESAM/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[?]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in Qt-
     SESAM-debuginfo
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: Qt-SESAM-2.0.6-2.fc28.x86_64.rpm
          Qt-SESAM-debuginfo-2.0.6-2.fc28.x86_64.rpm
          Qt-SESAM-2.0.6-2.fc28.src.rpm
Qt-SESAM.x86_64: W: only-non-binary-in-usr-lib
Qt-SESAM.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
Qt-SESAM.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
Qt-SESAM.x86_64: W: no-manual-page-for-binary Qt-SESAM
Qt-SESAM.src:28: W: unversioned-explicit-provides bundled(cryptopp)
3 packages and 0 specfiles checked; 0 errors, 5 warnings.

Comment 5 Raphael Groner 2017-09-21 23:05:05 UTC
Oh, completely forgot about this request. Thanks for your comments.
Will update ASAP, sorry.

Comment 6 Raphael Groner 2018-06-25 11:01:45 UTC
> - Qt-SESAM.src:28: W: unversioned-explicit-provides bundled(cryptopp)
>
> You should indicate the version of the bundled cryptopp.

No response from upstream since August 2017. Is the project not developed any longer? I wonder if there's still any sensefullness for an official package.
https://github.com/ola-ct/Qt-SESAM/issues/131

Comment 7 Raphael Groner 2018-06-27 10:40:47 UTC
libqrencode needs unbundling, too. There's a package qrencode-libs in Fedora.
https://fukuchi.org/works/qrencode/

Comment 8 Raphael Groner 2018-07-22 07:51:12 UTC
Managed to unbundle cryptopp and libqrencode. 
Now I get conversion errors about byte. Tried with std::byte and CryptoPP:byte, both fail.
Any help is appreciated.

Comment 9 Raphael Groner 2019-01-15 16:30:56 UTC
Unfortunately, upstream is obviously not interested into packaging (except some special distributions).
I've to close here then and finally, please feel free to use my work for another possible request if you think this package is useful in Fedora.
https://github.com/ola-ct/Qt-SESAM/issues/19


Note You need to log in before you can comment on or make changes to this bug.